Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code

Unified Diff: .travis/prepare-docker.sh

Issue 29663688: Issue 6220 - add travis-ci configuration for adblockpluscore (Closed) Base URL: github.com:adblockplus/adblockpluscore
Patch Set: rebase & fix openssl version on osx Created March 1, 2018, 10:52 a.m.
Use n/p to move between diff chunks; N/P to move between comments.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: .travis/prepare-docker.sh
diff --git a/.travis/prepare-docker.sh b/.travis/prepare-docker.sh
new file mode 100644
index 0000000000000000000000000000000000000000..6fb57abd666a74ac95e3dc8b2397c9270fe8bc8d
--- /dev/null
+++ b/.travis/prepare-docker.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+set -x
+set -e
+
+docker --version
+
+mkdir -p third_party/phusion-baseimage-docker
+pushd third_party/phusion-baseimage-docker
+git init
+git fetch https://github.com/phusion/baseimage-docker.git
+git checkout -b master 06e2983ba995c2e5684f8414b861425c7f5e6369
+docker build --rm -t my-base-ubuntu-image ./image
+popd
+
+docker build --rm --build-arg buildtype=${BUILDTYPE} -f .travis/Dockerfile -t adblockpluscore-test-image .
+
« .travis.yml ('K') | « .travis/docker-run.sh ('k') | .travis/prepare-emscripten.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld